require_relative 'lib/moneylovercli/version'

Gem::Specification.new do |spec|
  spec.name          = 'moneylovercli'
  spec.license       = 'MIT'
  spec.version       = Moneylovercli::VERSION
  spec.authors       = ['cuong.ngo']
  spec.email         = ['cuongnm265@gmail.com']

  spec.summary       = 'Gem to submit moneylover expense'
  spec.description   = 'Submit using ML API'
  spec.required_ruby_version = Gem::Requirement.new('>= 2.3.0')

  # spec.metadata["allowed_push_host"] = "TODO: Set to 'http://mygemserver.com'"
  #
  # spec.metadata["homepage_uri"] = spec.homepage
  # spec.metadata["source_code_uri"] = "TODO: Put your gem's public repo URL here."
  # spec.metadata["changelog_uri"] = "TODO: Put your gem's CHANGELOG.md URL here."
  #
  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']
  spec.add_dependency 'byebug'
  spec.add_dependency 'httparty'
  spec.add_dependency 'pastel', '0.7.4'
  spec.add_dependency 'pry-byebug'
  spec.add_dependency 'zeitwerk'
  spec.add_dependency 'tty-prompt', '0.21.0'
  spec.add_dependency 'tty-config'
  spec.add_dependency 'tty-file'
  spec.add_dependency 'tty'
end
